Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1954278

Summary: CVE-2021-2154 CVE-2021-2166 mariadb: various flaws [fedora-all]
Product: [Fedora] Fedora Reporter: Tomas Hoger <thoger>
Component: mariadbAssignee: Michal Schorm <mschorm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 33CC: damien.ciabrini, hhorak, ljavorsk, mbayer, mkocka, mmuzila, mschorm, SpikeFedora
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mariadb-10.5.10-1.fc34 mariadb-10.5-3320210511134129.601d93de mariadb-10.5-3420210511134129.058368ca mariadb-10.5-3220210511134129.43bbeeef Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-14 17:49:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1951752, 1951755    

Description Tomas Hoger 2021-04-27 20:17:25 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Tomas Hoger 2021-04-27 20:17:28 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1951752,1951755,1954278

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Lukas Javorsky 2021-05-03 10:04:24 UTC
These CVEs are not fixed in Fedora yet.

Current version in Fedora -> 10.3.28, 10.4.18, 10.5.9

The version which fixes these CVEs -> 10.3.29, 10.4.19, 10.5.10
(List of fixed CVEs and the version which are fixing it: https://mariadb.com/kb/en/security/#full-list-of-cves-fixed-in-mariadb)

Comment 3 Fedora Update System 2021-05-11 18:37:35 UTC
FEDORA-MODULAR-2021-b69f4e5f9c has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-b69f4e5f9c

Comment 4 Fedora Update System 2021-05-11 18:37:36 UTC
FEDORA-MODULAR-2021-118efad6bc has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-118efad6bc

Comment 5 Fedora Update System 2021-05-11 18:37:37 UTC
FEDORA-MODULAR-2021-c4c47c86bb has been submitted as an update to Fedora 32 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c4c47c86bb

Comment 6 Fedora Update System 2021-05-12 06:31:06 UTC
FEDORA-MODULAR-2021-b69f4e5f9c has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-b69f4e5f9c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-05-12 06:38:08 UTC
FEDORA-MODULAR-2021-118efad6bc has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-118efad6bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-12 06:57:08 UTC
FEDORA-MODULAR-2021-c4c47c86bb has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c4c47c86bb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-05-12 07:05:43 UTC
FEDORA-2021-27187ac9dd has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-27187ac9dd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-27187ac9dd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-14 17:49:45 UTC
FEDORA-2021-27187ac9dd has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-05-20 01:33:49 UTC
FEDORA-MODULAR-2021-118efad6bc has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-05-20 01:33:51 UTC
FEDORA-MODULAR-2021-b69f4e5f9c has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-05-20 01:36:40 UTC
FEDORA-MODULAR-2021-c4c47c86bb has been pushed to the Fedora 32 Modular stable repository.
If problem still persists, please make note of it in this bug report.